# OpalPluginStreamedAudioDecoder Class Reference

`#include <opalpluginmgr.h>`

Inheritance diagram for OpalPluginStreamedAudioDecoder:

List of all members.

## Public Member Functions

| OpalPluginStreamedAudioDecoder (PluginCodec_Definition *_codec, PBoolean)
int | ConvertOne (int codedSample) const

## Constructor & Destructor Documentation

OpalPluginStreamedAudioDecoder::OpalPluginStreamedAudioDecoder | ( | PluginCodec_Definition * | _codec,
|  | PBoolean |  |
| ) |  |  |

## Member Function Documentation

int OpalPluginStreamedAudioDecoder::ConvertOne | ( | int | codedSample | ) | const`[virtual]`

Convert one sample from one format to another. This function takes the input data as a single sample value and converts it to its output format.

Returns converted value.

Implements OpalStreamedTranscoder.

The documentation for this class was generated from the following file:

- opalpluginmgr.h